<p align="center">
 <img width="200px" src="logos/width_400.png"/>
</p>

[![GitHub version](https://badge.fury.io/gh/ujjwalguptaofficial%2Ffortjs.svg)](https://badge.fury.io/gh/ujjwalguptaofficial%2Ffortjs)
[![TEST](https://github.com/ujjwalguptaofficial/fortjs/actions/workflows/test.yml/badge.svg)](https://github.com/ujjwalguptaofficial/fortjs/actions/workflows/test.yml)
[![npm version](https://badge.fury.io/js/fortjs.svg)](https://badge.fury.io/js/fortjs)
[![Docs](https://img.shields.io/badge/docs-available-brightgreen.svg)](https://fortjs.net/)

# Fortjs

fortjs is a lightweight and efficient web framework for [Node.js](https://nodejs.org/en/) that empowers developers to build scalable and performant applications with ease. With a focus on simplicity and speed, fortjs provides a robust foundation for creating web APIs and applications. Featuring intuitive routing, dependency injection, and a powerful middleware system, fortjs allows you to craft clean, organized architectures.

fortjs goes beyond the basics by introducing reusable components such as walls, shields, and guards. Walls define the structure of your application, shields protect routes with ease, and guards provide a flexible way to manage authentication and authorization. Say goodbye to boilerplate code and welcome a fortress for building modern and efficient Node.js web applications

# Benchmark

Fortjs is **2x faster** than express and nestjs both.

<p align="center">
 <img src="logos/benchmark.png"/>
</p>



# Why fortjs

1. **Simplicity:** fortjs embraces simplicity, making it easy for developers to understand and use.

2. **Efficiency:** The framework is designed for efficiency, enabling the development of performant applications.

3. **Scalability:** fortjs provides a scalable architecture for building both small and large web applications.

4. **Faster:** Fortjs delivers unparalleled speed, surpassing popular alternatives like Express and Nest by more than two times, providing a high-performance solution for web applications. Take a look at [Benchmark](https://github.com/ujjwalguptaofficial/fortjs/actions/workflows/benchmark.yml)

5. **Reusable Components:** Components like walls, shields, and guards offer a modular and reusable approach to building applications.

6. **Intuitive Routing:** fortjs simplifies routing, making it intuitive for developers to define and manage routes.

7. **Dependency Injection:** The framework includes a robust dependency injection system, promoting clean and organized code.

8. **Unit Testable:** Fort.js is designed to be unit-testable, enabling developers to write tests for their code, ensuring stability and maintainability.

9. **Authentication and Authorization:** Guards facilitate the management of authentication and authorization, enhancing security.

10. **Modern Development:** fortjs is built with modern development practices in mind, providing a contemporary and efficient development experience.

11. **Boilerplate Reduction:** Developers can say goodbye to boilerplate code, resulting in cleaner and more maintainable codebases.

12. **Flexibility:** fortjs offers flexibility in how components are used, allowing developers to tailor the framework to their specific needs. You can configure almost everything.

13. **Fort Architecture:** fortjs follows a well-architected design [Fort](https://github.com/ujjwalguptaofficial/fort) , promoting a structured and organized development approach. 

14. **TypeScript Supported:** With native TypeScript support, fortjs empowers developers to leverage the benefits of static typing for a more robust and error-resistant codebase.

# Docs

https://fortjs.net/

# Examples

Fortjs provides example for different scenario and tools. Check out repo - https://github.com/ujjwalguptaofficial/fortjs-examples

# Help

We are here to help you. Ask any question at [github discussion](https://github.com/ujjwalguptaofficial/fortjs/discussions)

# Stay in touch

* Author - [Ujjwal Gupta](https://twitter.com/ujjwal_kr_gupta)

## Contributors

You are very welcome to contribute, please see contributing guidelines - [[Contribute](CONTRIBUTING.MD)].

## Sponsors

Support this project by becoming a sponsor. Your logo will show up here with a link to your website. For sponsoring, contact author of this project.
