/// <reference types="node" />
import { MIME_TYPE } from "../enums";
import { RequestHandlerHelper } from "./request_handler_helper";
import * as Fs from "fs";
export declare class FileHandler extends RequestHandlerHelper {
    private getFileInfoFromUrl_;
    private getFileStats_;
    protected handleFileRequestFromAbsolutePath(absolutePath: string, fileType: string): Promise<void>;
    private checkForFolderAllowAndReturnPath_;
    protected handleFileRequest(urlPath: string): Promise<void>;
    /**
     * process folders handling asuuming path is folder.
     * Please check whether the file is folder before calling this function
     *
     * @private
     * @param {string} filePath
     * @param {Fs.Stats} fileInfo
     * @returns
     * @memberof FileHandler
     */
    private handleFileRequestForFolderPath_;
    protected isClientHasFreshFile(lastModified: string, etagValue: string): boolean;
    protected sendFileAsResponse(filePath: string, mimeType: MIME_TYPE): void;
    sendFile_(filePath: string, fileType: string, fileInfo: Fs.Stats): void;
}
