import { ISessonStore } from "../interfaces";
import { CookieManager } from "../models";
import { TSessionStore } from "../types";
export declare class SessionManager {
    sessionId: string;
    protected cookie: CookieManager;
    sessionStore: ISessonStore;
    constructor(cookie: CookieManager, sessionStore: TSessionStore);
    protected createSession(sessionId?: any): void;
    protected destroySession(): void;
    get(key: string): Promise<any>;
    isExist(key: string): Promise<boolean>;
    getAll(): Promise<{
        [key: string]: any;
    }>;
    set(key: string, val: any): Promise<void>;
    setMany(values: {
        [key: string]: any;
    }): Promise<void[]>;
    remove(key: string): Promise<void>;
    clear(): Promise<void>;
}
